/* 

Layout 

Margin: 60 pixel

Column width: 122.5 pixel
Gutter: 30 pixel

Row height: 30 pixel
Gutter: 30 pixel

*/

/* Törtfehér */

.grey {
  color: #f4f2f2;
}

.greyBg {
  background-color: #f4f2f2;
}

/* Solar sárga */

.orange {
  color: #f18623;
}

.orangeBg {
  background-color: #f18623;
}

/* Meleg szürke */

.brown {
  color: #b19d9c;
}

.brownBg {
  background-color: #b19d9c;
}

/* Sötétszürke */

.dark {
  color: #252126;
}

.darkBg {
  background-color: #242126;
}

/* Fehér */

.white {
  color: #ffffff;
}

.whiteBg {
  background-color: #ffffff;
}

/* Fekete */

.black {
  color: #000000;
}

.blackBg {
  background-color: #000000;
}

html,
body {
  width: 100%;
  background-color: #242126;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  border: none;
  font-family: "Be Vietnam Pro", sans-serif;
  hyphens: manual;
  scroll-behavior: smooth;
}

body {
  display: flex;
  flex-direction: column;
}

p {
  hyphens: auto;
}

h1,
h2 {
  text-transform: uppercase;
}

ul {
  list-style-type: none;
}

main {
  width: 100%;
  margin: 0 auto 0 auto;
}

a {
  text-decoration: none;
}

strong {
  font-weight: 800;
}

/* Home */

#home {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  background: url("../img/bg.png");
  background-color: #242126;
  background-repeat: no-repeat;
  background-position: top center;
  background-size: cover;
  -webkit-animation: fadein 2s;
  /* Safari, Chrome and Opera > 12.1 */
  -moz-animation: fadein 2s;
  /* Firefox < 16 */
  -ms-animation: fadein 2s;
  /* Internet Explorer */
  -o-animation: fadein 2s;
  /* Opera < 12.1 */
  animation: fadein 2s;
}

@keyframes fadein {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

/* Firefox < 16 */

@-moz-keyframes fadein {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

/* Safari, Chrome and Opera > 12.1 */

@-webkit-keyframes fadein {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

/* Internet Explorer */

@-ms-keyframes fadein {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

/* Opera < 12.1 */

@-o-keyframes fadein {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

header {
  display: flex;
  align-items: center;
}

#logo {
  height: 100%;
}

#planergyLogo {
  height: 100%;
}

header ul {
  display: flex;
}

header ul li {
  text-transform: uppercase;
  font-weight: bold;
}

header ul li a {
  display: flex;
  align-items: center;
  height: 100%;
}

.arrow {
  height: 100%;
  width: auto;
}

#homeContent {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  margin-bottom: auto;
}

#homeText {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

#homeWave {
  overflow: hidden;
}

.title {
  display: block;
  font-weight: 900;
}

.subtitle {
  line-height: 1em;
  display: block;
  letter-spacing: 0.02em;
}

.summary {
  line-height: 1em;
  display: block;
  font-weight: 600;
}

.button {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  text-decoration: none;
  text-transform: uppercase;
  font-weight: 800;
  cursor: pointer;
  width: auto;
}

.down {
  margin: auto auto 0 auto;
  text-align: center;
}

/* Services */

.service {
  display: flex;
  flex-direction: column;
}

.service-reverse {
  display: flex;
  flex-direction: column-reverse;
}

.service-reverse h1 {
  gap: 0;
  margin-top: 1em;
}

#services h1 {
  font-weight: 600;
}

#services p {
  font-weight: 400;
}

/* Break */

#break {
  background: url("../img/solar-power-power-station.png");
}

#break img {
  z-index: 1;
}

#breakText {
  display: flex;
  align-items: center;
  margin: 0 auto 0 auto;
}

#breakText h1 {
  font-weight: 600;
}

#breakText p {
  hyphens: manual;
}

/* Sectors */

#sectors {
  display: flex;
}

#sectors > div {
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
}

.sectorText {
  line-height: 1em;
}

.sectorText h1 {
  line-height: 1em;
}

/* Solutions */

#solutions {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

#solutions h1 {
  display: none;
}

#solutionsList {
  display: flex;
  flex-direction: column;
}

#solutions ul {
  display: flex;
  flex-direction: column;
}

#solutions ul li {
  display: flex;
  align-items: center;
  font-weight: 800;
  text-transform: uppercase;
  list-style-type: none;
}

#solutionsImage img {
  width: 100%;
}

/* Comparison */

#comparison {
  display: flex;
}

#comparisonText {
  display: flex;
  flex-direction: column;
}

#comparisonText p {
  text-align: left;
  text-justify: inter-word;
  font-weight: 400;
}

#comparisonText h1 {
  font-weight: 800;
}

/* Engineering */

#eng {
  display: flex;
  align-items: center;
}

#engText h1 {
  font-weight: 600;
}

/* About Us */

#about {
  display: flex;
  flex-direction: column;
}

#aboutContent {
  display: flex;
  flex-direction: row;
}

#aboutText {
  display: flex;
  flex-direction: column;
}

#aboutText p {
  font-weight: 600;
}

#aboutImg {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-end;
}

/* Partners */

#partners {
  background-color: #ffffff;
  margin: auto;
  width: 100%;
}

#partners h1 {
  margin: 1rem auto 0 auto;
}

#partners p {
  margin: 1rem auto 1rem auto;
}

section#partners div.wrapper {
  display: flex;
  flex-wrap: wrap;
  /* justify-content: center;
  align-items: center;*/
  margin: 0 auto;
  padding: 0;
  padding-bottom: 0px;
  gap: 4vw 5%;
}

/* References */

#references {
  background-color: #ffffff;
  margin: auto;
  width: 100%;
}

#references h1 {
  margin: 1rem auto 0 auto;
}

#references p {
  margin: 1rem auto 1rem auto;
}

section#references div.wrapper {
  display: flex;
  flex-wrap: wrap;
  /* justify-content: center;
  align-items: center;*/
  margin: 0 auto;
  padding: 0;
  padding-bottom: 0px;
  gap: 4vw 5%;
}

/* Contact */

#contact {
  display: flex;
}

#contactText {
  display: flex;
  flex-direction: column;
}

#contactText p {
  text-align: left;
  hyphens: manual;
}

#contactForm {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

#contactForm a {
  color: #f18623;
}

#responseText {
  display: block;
  width: 100%;
  text-align: center;
}

label {
  width: 100%;
  display: block;
}

input,
textarea {
  background-color: #f4f2f2;
}

textarea {
  resize: none;
}

form #website {
  display: none;
}

/* Links */

.link {
  display: flex;
  flex-direction: column;
  color: #ffffff;
}

/* Footer */

footer {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Up */

#myBtn {
  display: none;
  position: fixed;
  bottom: 100px;
  right: 30px;
  z-index: 99;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 15px;
  border-radius: 10px;
  font-size: 1rem;
}
